<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b230df5e-7150-4742-830a-d7a67648dd34" name="Changes" comment="hw9 retake">
      <change afterPath="$PROJECT_DIR$/js/hw10/tabs/index.html" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/js/hw10/tabs/index.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/js/hw8/pe-basicjs-online/basic-javascript/homework/homework10_tabs/tabs/index.html" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CSS File" />
        <option value="HTML File" />
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectId" id="23Z601fIrDRptYDiM7Ol4Sdyhen" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ChangesTree.GroupingKeys" value="" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/html/hw6/css" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/html/hw6/css" />
      <recent name="$PROJECT_DIR$/hw4/css" />
      <recent name="$PROJECT_DIR$/html/hw3/css" />
      <recent name="$PROJECT_DIR$/html/hw3" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/js/hw10" />
      <recent name="$PROJECT_DIR$/js/hw8/project" />
      <recent name="$PROJECT_DIR$/js/hw8" />
      <recent name="$PROJECT_DIR$/js/hw8/img" />
      <recent name="$PROJECT_DIR$/js/hw8/style" />
    </key>
  </component>
  <component name="RunManager" selected="JavaScript Debug.index.html">
    <configuration name="index.html (1)" type="JavascriptDebugType" temporary="true" nameIsGenerated="true" uri="http://localhost:63342/hw/js/hw6/index.html" useBuiltInWebServerPort="true">
      <method v="2" />
    </configuration>
    <configuration name="index.html (2)" type="JavascriptDebugType" temporary="true" nameIsGenerated="true" uri="http://localhost:63342/hw/js/js9/index.html" useBuiltInWebServerPort="true">
      <method v="2" />
    </configuration>
    <configuration name="index.html" type="JavascriptDebugType" temporary="true" nameIsGenerated="true" uri="http://localhost:63342/hw/js/hw3/index.html" useBuiltInWebServerPort="true">
      <method v="2" />
    </configuration>
    <configuration name="index.js (1)" type="NodeJSConfigurationType" temporary="true" nameIsGenerated="true" path-to-js-file="$PROJECT_DIR$/js/hw3/index.js" working-dir="$PROJECT_DIR$/js/hw3">
      <method v="2" />
    </configuration>
    <configuration name="index.js" type="NodeJSConfigurationType" temporary="true" nameIsGenerated="true" path-to-js-file="$PROJECT_DIR$/js/hw9/index.js" working-dir="$PROJECT_DIR$/js/hw9">
      <method v="2" />
    </configuration>
    <configuration name="index.js" type="NodeJSConfigurationType" temporary="true" nameIsGenerated="true" path-to-js-file="$PROJECT_DIR$/js/hw7/index.js" working-dir="$PROJECT_DIR$/js/hw7">
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JavaScript Debug.index.html (2)" />
        <item itemvalue="JavaScript Debug.index.html (1)" />
        <item itemvalue="JavaScript Debug.index.html" />
        <item itemvalue="Node.js.index.js (1)" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b230df5e-7150-4742-830a-d7a67648dd34" name="Changes" comment="" />
      <created>1641929035510</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1641929035510</updated>
      <workItem from="1641929037653" duration="85000" />
      <workItem from="1641929229413" duration="2238000" />
      <workItem from="1641936669053" duration="18000" />
      <workItem from="1641941600369" duration="5108000" />
      <workItem from="1642109044125" duration="1703000" />
      <workItem from="1642110861415" duration="182000" />
      <workItem from="1642111520688" duration="58567000" />
      <workItem from="1642294460596" duration="72000" />
      <workItem from="1642329447902" duration="18529000" />
      <workItem from="1642529825457" duration="20000" />
      <workItem from="1642529874835" duration="36000" />
      <workItem from="1642534127643" duration="17000" />
      <workItem from="1642545665303" duration="2124000" />
      <workItem from="1642621517740" duration="13577000" />
      <workItem from="1642692294244" duration="573000" />
      <workItem from="1642787817745" duration="16000" />
      <workItem from="1642795052829" duration="8703000" />
      <workItem from="1643046771445" duration="9016000" />
      <workItem from="1643209979764" duration="8499000" />
      <workItem from="1643298589543" duration="35477000" />
      <workItem from="1643467146971" duration="31216000" />
      <workItem from="1643625175131" duration="98000" />
      <workItem from="1643724875559" duration="998000" />
      <workItem from="1643725895310" duration="31000" />
      <workItem from="1643725971088" duration="13893000" />
      <workItem from="1643745309721" duration="37228000" />
      <workItem from="1643966429884" duration="2024000" />
      <workItem from="1644328909557" duration="12303000" />
      <workItem from="1644777566739" duration="654000" />
      <workItem from="1644861245664" duration="20512000" />
      <workItem from="1645560318092" duration="2360000" />
      <workItem from="1647550883341" duration="1968000" />
      <workItem from="1648062843649" duration="1213000" />
      <workItem from="1648235208368" duration="13756000" />
      <workItem from="1648663946541" duration="599000" />
      <workItem from="1648845527056" duration="1180000" />
      <workItem from="1648846740873" duration="4512000" />
      <workItem from="1648980474851" duration="2588000" />
      <workItem from="1649532796439" duration="5480000" />
      <workItem from="1649700583403" duration="21998000" />
      <workItem from="1650188717046" duration="2547000" />
      <workItem from="1650306468351" duration="16818000" />
      <workItem from="1651260636910" duration="6218000" />
      <workItem from="1651607172469" duration="1034000" />
      <workItem from="1651780635663" duration="11539000" />
    </task>
    <task id="LOCAL-00001" summary="hw9">
      <created>1651607888780</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1651607888780</updated>
    </task>
    <task id="LOCAL-00002" summary="hw9 retake">
      <created>1651781701846</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1651781701847</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="hw9" />
    <MESSAGE value="hw9 retake" />
    <option name="LAST_COMMIT_MESSAGE" value="hw9 retake" />
  </component>
</project>